Skip to main content
PATCH
/
v2
/
adjustments
/
{adjustment_id}
Update an Adjustment
curl --request PATCH \
  --url https://api.example.com/v2/adjustments/{adjustment_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "ledger_account_id": "<string>",
  "is_active": true,
  "automated": true,
  "description": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "is_active": true,
  "is_system": true,
  "automated": true,
  "description": "<string>",
  "ledger_account_id": "<string>",
  "ledger_account": {
    "created_at": "2023-11-07T05:31:56Z",
    "modified_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "name": "<string>",
    "number": "<string>",
    "classification": "asset",
    "object": "<string>"
  },
  "object": "<string>",
  "can_delete": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

adjustment_id
string
required

Body

application/json

Request body for updating an adjustment.

name
string | null
Maximum string length: 255
ledger_account_id
string | null
is_active
boolean | null
automated
boolean | null
description
string | null

Response

Successful Response

Adjustment response schema.

created_at
string<date-time>
required
modified_at
string<date-time> | null
required
id
string
required
name
string
required

The name of this adjustment type, e.g. 'Stripe Processing Fee'

is_active
boolean
required

Whether this adjustment type is active and available for use

is_system
boolean
required

Whether this adjustment was created by the system (e.g., during Stripe processing) vs manually by a user

automated
boolean
required

Whether this adjustment is automatically applied during payment processing

description
string | null
required

Optional description for this adjustment type

ledger_account_id
string | null
required

Optional ledger account for accounting integration. When set, this adjustment's allocations will be posted to this ledger account.

ledger_account
LedgerAccountSummary · object
required

Lightweight ledger account for nested relationships.

object
string
required

String representing the object's type. Objects of the same type share the same value.

can_delete
boolean
required

Whether this adjustment can be deleted. System adjustments cannot be deleted, only deactivated.